For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
      • POSTRegister a client SDK
  • Frontend API
  • Admin API

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Client APIRegister SDK

Register a client SDK

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/client/register
POST
/api/client/register
$curl -X POST https://app.unleash-instance.example.com/api/client/register \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "appName": "example-app",
> "interval": 10,
> "started": "2023-06-13T16:35:00.000Z",
> "strategies": [
> "default",
> "gradualRollout",
> "remoteAddress"
> ]
>}'
202Accepted
1{}
Register a client SDK with Unleash. SDKs call this endpoint on startup to tell Unleash about their existence. Used to track custom strategies in use as well as SDK versions.
Was this page helpful?
Previous

Retrieve enabled feature flags for the provided context.

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

clientApplicationSchema
appNamestringRequired
An identifier for the app that uses the sdk, should be static across SDK restarts
intervaldoubleRequired>=0

How often (in seconds) does the client refresh its toggles

startedstring or doubleRequired

Either an RFC-3339 timestamp or a unix timestamp in seconds

strategieslist of stringsRequired
Which strategies the SDKs runtime knows about
instanceIdstringOptional

A unique identifier identifying the instance of the application running the SDK. Often changes based on execution environment. For instance: two pods in Kubernetes will have two different instanceIds

sdkVersionstringOptional

An SDK version identifier. Usually formatted as “unleash-client-<language>:<version>”

platformNamestringOptional
The platform the application is running on. For languages that compile to binaries, this can be omitted
platformVersionstringOptional
The version of the platform the application is running on. Languages that compile to binaries, this is expected to be the compiler version used to assemble the binary.
yggdrasilVersionstringOptional
The semantic version of the Yggdrasil engine used by the client. If the client is using a native engine this can be omitted.
specVersionstringOptional
The version of the Unleash client specification the client supports
environmentstringOptionalDeprecated

The SDK’s configured ‘environment’ property. This property was deprecated in v5. This property does not control which Unleash environment the SDK gets toggles for. To control Unleash environments, use the SDKs API key.

Response

This response has no body.